Google Maps URLs not working in Google Apps block

Bug #1323495 reported by Aaron Wells on 2014-05-27
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Nigel Cunningham
1.10
High
Nigel Cunningham
1.7
High
Robert Lyon
1.8
High
Robert Lyon
1.9
High
Robert Lyon

Bug Description

See forum discussion https://mahara.org/interaction/forum/topic.php?id=5122&offset=10&limit=10#post26773

Posting a map by its sharing iframe works. But posting a map by its URL does not.

Dirk also reported a Google Maps iframe with a URL that started with "www.google.com" instead of "maps.google.com". It's not entirely clear whether this is an older Google Maps URL that we've broken compatibility with, a newer one that we need to adapt to.

Aaron Wells (u-aaronw) wrote :

It looks like the www.google.com map URLs are probably a new thing. You get them if you go to https://www.google.com/maps instead of https://maps.google.com .

Nigel Cunningham (nigelc-g) wrote :

Reviewed: https://reviews.mahara.org/3471
Committed: http://gitorious.org/mahara/mahara/commit/f6e95ea25d24e99863392500ad86f866457b2d35
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit f6e95ea25d24e99863392500ad86f866457b2d35
Author: Nigel Cunningham <email address hidden>
Date: Thu Jul 3 15:04:45 2014 +1000

Bug1323495: Make new/modified Google Maps work

This patch modifies one regex and adds more, to handle the various
new possibilities for source URLs from Google Maps.

Tested using blocks with the following URLs:

https://mapsengine.google.com/map/edit?mid=zfwEiFwRAMSY.kHxFNhFy8iAs

http://maps.google.com/maps?f=q&source=s_q&hl=en&geocode=&q=patagonia,+argentina&aq=&sll=33.935442,-118.080497&sspn=1.663434,2.17804&ie=UTF8&hq=&hnear=Patagonia&t=m&z=5&ll=-41.810147,-68.906269&output=embed

https://maps.google.com/maps?f=q&source=s_q&hl=en&geocode=&q=115.5683895w+51.176933999999996n&aq=&sll=37.0625,-95.677068&sspn=40.953203,79.013672&ie=UTF8&t=m&z=14&ll=51.176934,-115.56839&output=embed

https://maps.google.com/maps?ll=-41.24437,174.761855&spn=0.371216,0.475845&t=h&z=11

https://maps.google.com/maps?ie=UTF8&ll=-41.24437,174.761855&spn=0.371216,0.475845&t=h&z=11&output=embed

https://www.google.com/maps/embed?pb=!1m14!1m12!1m3!1d20010.295562287632!2d-115.5683895!3d51.176933999999996!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!5e0!3m2!1sen!2sca!4v1400737313821

https://www.google.com/maps?q=dee+why&hl=en&ll=-33.797088,151.277661&spn=0.026426,0.055704&sll=37.0625,-95.677068&sspn=51.089971,114.082031&hnear=Dee+Why+New+South+Wales,+Australia&t=m&z=15

https://www.google.com/maps?q=dee+why&amp;hl=en&amp;sll=37.0625,-95.677068&amp;sspn=51.089971,114.082031&amp;hnear=Dee+Why+New+South+Wales,+Australia&amp;t=m&amp;ie=UTF8&amp;hq=&amp;ll=-33.797088,151.277661&amp;spn=0.026427,0.055704&amp;z=14&amp;output=embed

Change-Id: Ib5d6d9b14147ec875aa944f60feb9b69c02be85f
Signed-off-by: Nigel Cunningham <email address hidden>

Mahara Bot (dev-mahara) wrote :

Patch for "1.8_STABLE" branch: https://reviews.mahara.org/3542

Mahara Bot (dev-mahara) wrote :

Patch for "1.9_STABLE" branch: https://reviews.mahara.org/3543

Reviewed: https://reviews.mahara.org/3541
Committed: http://gitorious.org/mahara/mahara/commit/dbea744b440feed3996fcb82381b690ad77bc109
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.7_STABLE

commit dbea744b440feed3996fcb82381b690ad77bc109
Author: Nigel Cunningham <email address hidden>
Date: Thu Jul 3 15:04:45 2014 +1000

Bug1323495: Make new/modified Google Maps work

This patch modifies one regex and adds more, to handle the various
new possibilities for source URLs from Google Maps.

Tested using blocks with the following URLs:

https://mapsengine.google.com/map/edit?mid=zfwEiFwRAMSY.kHxFNhFy8iAs

http://maps.google.com/maps?f=q&source=s_q&hl=en&geocode=&q=patagonia,+argentina&aq=&sll=33.935442,-118.080497&sspn=1.663434,2.17804&ie=UTF8&hq=&hnear=Patagonia&t=m&z=5&ll=-41.810147,-68.906269&output=embed

https://maps.google.com/maps?f=q&source=s_q&hl=en&geocode=&q=115.5683895w+51.176933999999996n&aq=&sll=37.0625,-95.677068&sspn=40.953203,79.013672&ie=UTF8&t=m&z=14&ll=51.176934,-115.56839&output=embed

https://maps.google.com/maps?ll=-41.24437,174.761855&spn=0.371216,0.475845&t=h&z=11

https://maps.google.com/maps?ie=UTF8&ll=-41.24437,174.761855&spn=0.371216,0.475845&t=h&z=11&output=embed

https://www.google.com/maps/embed?pb=!1m14!1m12!1m3!1d20010.295562287632!2d-115.5683895!3d51.176933999999996!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!5e0!3m2!1sen!2sca!4v1400737313821

https://www.google.com/maps?q=dee+why&hl=en&ll=-33.797088,151.277661&spn=0.026426,0.055704&sll=37.0625,-95.677068&sspn=51.089971,114.082031&hnear=Dee+Why+New+South+Wales,+Australia&t=m&z=15

https://www.google.com/maps?q=dee+why&amp;hl=en&amp;sll=37.0625,-95.677068&amp;sspn=51.089971,114.082031&amp;hnear=Dee+Why+New+South+Wales,+Australia&amp;t=m&amp;ie=UTF8&amp;hq=&amp;ll=-33.797088,151.277661&amp;spn=0.026427,0.055704&amp;z=14&amp;output=embed

Change-Id: Ib5d6d9b14147ec875aa944f60feb9b69c02be85f
Signed-off-by: Nigel Cunningham <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3542
Committed: http://gitorious.org/mahara/mahara/commit/9d479e2dea056e1aa9f44df9bb9b2920eeed99f5
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.8_STABLE

commit 9d479e2dea056e1aa9f44df9bb9b2920eeed99f5
Author: Nigel Cunningham <email address hidden>
Date: Thu Jul 3 15:04:45 2014 +1000

Bug1323495: Make new/modified Google Maps work

This patch modifies one regex and adds more, to handle the various
new possibilities for source URLs from Google Maps.

Tested using blocks with the following URLs:

https://mapsengine.google.com/map/edit?mid=zfwEiFwRAMSY.kHxFNhFy8iAs

http://maps.google.com/maps?f=q&source=s_q&hl=en&geocode=&q=patagonia,+argentina&aq=&sll=33.935442,-118.080497&sspn=1.663434,2.17804&ie=UTF8&hq=&hnear=Patagonia&t=m&z=5&ll=-41.810147,-68.906269&output=embed

https://maps.google.com/maps?f=q&source=s_q&hl=en&geocode=&q=115.5683895w+51.176933999999996n&aq=&sll=37.0625,-95.677068&sspn=40.953203,79.013672&ie=UTF8&t=m&z=14&ll=51.176934,-115.56839&output=embed

https://maps.google.com/maps?ll=-41.24437,174.761855&spn=0.371216,0.475845&t=h&z=11

https://maps.google.com/maps?ie=UTF8&ll=-41.24437,174.761855&spn=0.371216,0.475845&t=h&z=11&output=embed

https://www.google.com/maps/embed?pb=!1m14!1m12!1m3!1d20010.295562287632!2d-115.5683895!3d51.176933999999996!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!5e0!3m2!1sen!2sca!4v1400737313821

https://www.google.com/maps?q=dee+why&hl=en&ll=-33.797088,151.277661&spn=0.026426,0.055704&sll=37.0625,-95.677068&sspn=51.089971,114.082031&hnear=Dee+Why+New+South+Wales,+Australia&t=m&z=15

https://www.google.com/maps?q=dee+why&amp;hl=en&amp;sll=37.0625,-95.677068&amp;sspn=51.089971,114.082031&amp;hnear=Dee+Why+New+South+Wales,+Australia&amp;t=m&amp;ie=UTF8&amp;hq=&amp;ll=-33.797088,151.277661&amp;spn=0.026427,0.055704&amp;z=14&amp;output=embed

Change-Id: Ib5d6d9b14147ec875aa944f60feb9b69c02be85f
Signed-off-by: Nigel Cunningham <email address hidden>

Aaron Wells (u-aaronw) wrote :

Hi Piroska:

Thanks for letting us know! I've filed a separate bug for the URL format that you've reported: https://bugs.launchpad.net/mahara/+bug/1378645

Cheers,
Aaron

Aaron Wells (u-aaronw) on 2014-10-20
Changed in mahara:
milestone: 1.10.0 → none
Aaron Wells (u-aaronw) on 2014-10-21
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers